CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-6450

The RPL dissector in Wireshark (formerly Ethereal) 0.9.8 to 0.99.6 allows remote attackers to cause a denial of service (infinite loop) via unknown vectors.
Publish Date : 2007-12-19 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2007-12-18 2007-12-18
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2007-6450 oval:org.opensuse.security:def:20076450 unix
DSA-1446 wireshark -- several vulnerabilities oval:org.mitre.oval:def:8307 unix
DSA-1446-1 wireshark denial of service oval:org.mitre.oval:def:20300 unix
ELSA-2008:0058: wireshark security update (Moderate) oval:org.mitre.oval:def:22589 unix
RHSA-2008:0058: wireshark security update (Moderate) oval:com.redhat.rhsa:def:20080058 unix
RHSA-2008:0059: wireshark security update (Moderate) oval:com.redhat.rhsa:def:20080059 unix
The RPL dissector in Wireshark (formerly Ethereal) 0.9.8 to 0.99.6 allows remote attackers to cause a denial of service ... oval:org.mitre.oval:def:11442 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2007-6450

# Product Type Vendor Product Version Update Edition Language
1 Application Wireshark Wireshark 0.9.8 Version Details Vulnerabilities
2 Application Wireshark Wireshark 0.99 Version Details Vulnerabilities
3 Application Wireshark Wireshark 0.99.0 Version Details Vulnerabilities
4 Application Wireshark Wireshark 0.99.1 Version Details Vulnerabilities
5 Application Wireshark Wireshark 0.99.2 Version Details Vulnerabilities
6 Application Wireshark Wireshark 0.99.3 Version Details Vulnerabilities
7 Application Wireshark Wireshark 0.99.4 Version Details Vulnerabilities
8 Application Wireshark Wireshark 0.99.5 Version Details Vulnerabilities
9 Application Wireshark Wireshark 0.99.6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Wireshark Wireshark 9

- References For CVE-2007-6450

http://bugs.gentoo.org/show_bug.cgi?id=199958
http://secunia.com/advisories/27777
SECUNIA 27777
http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00008.html
SUSE SUSE-SR:2008:004
http://secunia.com/advisories/28288
SECUNIA 28288
http://secunia.com/advisories/28304
SECUNIA 28304
http://secunia.com/advisories/28315
SECUNIA 28315
http://secunia.com/advisories/28325
SECUNIA 28325
http://secunia.com/advisories/28564
SECUNIA 28564
http://secunia.com/advisories/28583
SECUNIA 28583
http://secunia.com/advisories/29048
SECUNIA 29048
http://security.gentoo.org/glsa/glsa-200712-23.xml
GENTOO GLSA-200712-23
http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0004 CONFIRM
http://www.debian.org/security/2008/dsa-1446
DEBIAN DSA-1446
http://www.mandriva.com/security/advisories?name=MDVSA-2008:001
MANDRIVA MDVSA-2008:001
http://www.mandriva.com/security/advisories?name=MDVSA-2008:1
MANDRIVA MDVSA-2008:1
http://www.redhat.com/support/errata/RHSA-2008-0058.html
REDHAT RHSA-2008:0058
http://www.redhat.com/support/errata/RHSA-2008-0059.html
REDHAT RHSA-2008:0059
http://www.securityfocus.com/archive/1/archive/1/485792/100/0/threaded
BUGTRAQ 20080103 rPSA-2008-0004-1 tshark wireshark
http://www.securityfocus.com/bid/27071
BID 27071 Wireshark 0.99.6 Multiple Denial of Service Vulnerabilities Release Date:2008-02-25
http://www.wireshark.org/security/wnpa-sec-2007-03.html CONFIRM
http://xforce.iss.net/xforce/xfdb/39186
XF wireshark-rpl-dissector-dos(39186)
https://issues.rpath.com/browse/RPL-1975 CONFIRM

- Metasploit Modules Related To CVE-2007-6450

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.